package cz.moneta.test.dsl.ufo.banka.pages.po;

import cz.moneta.test.dsl.ufo.operations.shared.SharedElements;
import cz.moneta.test.harness.support.web.*;

import static cz.moneta.test.dsl.ufo.banka.pages.po.CIF081_S001_CompaniesOwnedByClientPage.PAGE_LABEL;

@Wait(value = PAGE_LABEL, by = Lookup.XPATH)
public interface CIF081_S001_CompaniesOwnedByClientPage extends WebFlow<CIF081_S001_CompaniesOwnedByClientPage> {

    String PAGE_LABEL = "//div[text()='CIF081_S001']";
    String PAGE_TITLE_XPATH = "//div[@id='CIF081_S001_L001' and text()='Společnosti vlastněné klientem']";
    String ADD_PO_BUTTON = "CIF081_S001_B009";
    String PO_TITLE_INPUT = "CIF081_S001_E005";
    String PO_ICO_INPUT = "CIF081_S001_E006";
    String PO_COUNTRY_CZ_BUTTON = "CIF081_S001_B017";
    String PO_SAVE_BUTTON = "CIF081_S001_B023";
    String CONTINUE_BUTTON = "CIF081_S001_B002";

    @Click(ADD_PO_BUTTON)
    CIF081_S001_CompaniesOwnedByClientPage clickAddPo();

    @TypeInto(PO_TITLE_INPUT)
    CIF081_S001_CompaniesOwnedByClientPage fillPoTitle(String poTitle);

    @TypeInto(PO_ICO_INPUT)
    CIF081_S001_CompaniesOwnedByClientPage fillPoIco(String poIco);

    @Click(PO_COUNTRY_CZ_BUTTON)
    CIF081_S001_CompaniesOwnedByClientPage clickPoCountryCz();

    @Click(value = PO_SAVE_BUTTON, andWait = @Wait(value = SharedElements.LOAD_IMG_DIV_CLASS, by = Lookup.CLASSNAME, until = Until.GONE))
    CIF081_S001_CompaniesOwnedByClientPage clickPoSave();

    @Click(CONTINUE_BUTTON)
    CIF080_S001_OwnershipStructurePage clickContinue();

}